#!/bin/bash

if [[ $(id -u) -ne 0 ]] ; then
    HOMEPATH="$(readlink -nf ~)"
    DESTPATH="${HOMEPATH}/Packages"
    SYMLINK="${HOMEPATH}/.local/bin/packages"
else
    DESTPATH="/opt/Packages"
    SYMLINK="/usr/local/bin/packages"
fi

# check if the directory exists; if so, create another one by its side
if [ -d "${DESTPATH}" ]; then
    ORGNAME="${DESTPATH}"
    C=2
    DESTPATH="${ORGNAME}-$C"
    while [ -d "${DESTPATH}" ]; do
	C=$((C+1))
	DESTPATH="${ORGNAME}-$C"
    done
fi
mkdir "${DESTPATH}"

mv Packages "${DESTPATH}/"
mv Packages.jar "${DESTPATH}/"

mkdir "${DESTPATH}/doc"
mv ./doc/* "${DESTPATH}/doc/"

if [[ -f ./jdk/release ]] ; then
    mkdir "${DESTPATH}/jdk"
    mv ./jdk/* "${DESTPATH}/jdk/"
fi

rm "${SYMLINK}"
ln -s -T "${DESTPATH}/Packages" "${SYMLINK}"

if [ -z ${HOMEPATH+x} ]; then
    # HOMEPATH is not set -> root -> also set up desktop
    xdg-desktop-menu install --novendor Packages.desktop
    xdg-icon-resource install --novendor --size 64 Packages64.png
    xdg-mime install --novendor Packages.xml
fi

echo "Done, installed in ${DESTPATH}"

